Skip to content

TcProduct⁠

Perform various operations for Symitar parameters.

Operations⁠

getTcProductSelectFields⁠

POST

Execute the persistent ParameterService getTcProductSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getTcProductSelectFields
POST /nexum/627/persistent/parameter/getTcProductSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllTcProductFields": true,
    "TcProductFields": {
      "CreateCheckRecord": true,
      "NumberofProducts": true,
      "ProductDescription": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateTcProductByID⁠

POST

Execute the persistent ParameterService updateTcProductByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateTcProductByID
POST /nexum/627/persistent/parameter/updateTcProductByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "TcProductFields": {
    "CreateCheckRecord": true,
    "NumberofProducts": 0,
    "ProductDescription": [
      {
        "EntryId": 0,
        "ProductDescription": "string"
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}